@import "./src/styles/_abstracts/_variables.scss";
@import "./src/styles/_abstracts/_mixins.scss";

.shots {
  padding-top: 38px;
  padding-bottom: 42px;
  margin-top: 40px;

  @media (min-width: $tablet-bp) {
    background-color: #f7f7f7;
    padding-top: 47px;
    padding-bottom: 50px;
    margin-top: 60px;
  }

  @media (min-width: $desktop-bp) {
    margin-top: 66px;
  }
}

.shots__mobile-version {

  img {
    min-width: 301px;
  }

  @media (min-width: $tablet-bp) {
    display: none;
  }
}

.shots__extended-version {
  display: none;

  @media (min-width: $tablet-bp) {
    display: block;
  }
}

.shots__title-wrapper {
  @include flex-between;
}

.shots__title {
  font-weight: 700;
  font-size: 14px;
  line-height: 22px;
  text-transform: uppercase;
  color: $primary-text-color;
  padding-bottom: 13px;
}

.shots__link {
  font-weight: 700;
  font-size: 13px;
  line-height: 22px;
  text-transform: uppercase;
  color: $primary-text-color;
}

.shots__items-wrapper {
  display: grid;
  grid-gap: 10px;
  width: 100%;
  grid-template-columns: repeat(3, minmax(190px, 1fr));

  a:last-child {
    display: none;
  }

  img {
    width: 100%;
  }

  @media (min-width: $desktop-bp) {
    grid-template-columns: repeat(4, minmax(190px, 1fr));

    a:last-child {
      display: block;
    }
  }
}